summaryrefslogtreecommitdiff
path: root/utils/run-dist.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/run-dist.sh')
-rw-r--r--utils/run-dist.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/utils/run-dist.sh b/utils/run-dist.sh
new file mode 100644
index 00000000..e89c3733
--- /dev/null
+++ b/utils/run-dist.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# On a meson dist run, generate the version string and store it in a file.
+# This will later be picked up by the utils/gen-version.sh script and used
+# instead of re-generating it. This way, if we are not building in the upstream
+# git source tree, the upstream version information will be preserved.
+
+cd "$MESON_SOURCE_ROOT" || return
+./utils/gen-version.sh > "$MESON_DIST_ROOT"/.tarball-version